> For the complete documentation index, see [llms.txt](https://docs.skyone.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skyone.cloud/espanol/api-skyone-autosky/api-clientes/activar-desactivar-avisos-programados.md).

# Activar / Desactivar avisos programados

Activa o desactiva la visualización programada de avisos de un cliente.

Es obligatorio especificar todos los campos a continuación cuando `schedule_warning` sea `true`.

#### Parámetros de Path <a href="#parametros-de-path" id="parametros-de-path"></a>

<table data-header-hidden="false" data-header-sticky><thead><tr><th>Parámetro</th><th>Obligatorio</th><th>Descripción</th></tr></thead><tbody><tr><td><code>cli_uuid</code></td><td>Sim</td><td>UUID del cliente</td></tr></tbody></table>

#### Body da Requisição <a href="#body-da-requisicao" id="body-da-requisicao"></a>

|               Campo               |   Tipo  | Obligatorio |                         Descripción                        |
| :-------------------------------: | :-----: | :---------: | :--------------------------------------------------------: |
|         `schedule_warning`        | boolean |      Sí     |   Activa/desactiva la visualización de avisos programados  |
|      `schedule_warning_start`     |  string | Condicional |                    Fecha/hora de inicio                    |
|       `schedule_warning_end`      |  string | Condicional |                 Fecha/hora de finalización                 |
|       `schedule_warning_msg`      |  string | Condicional |                      Mensaje del aviso                     |
| `display_warning_to_logged_users` | boolean | Condicional | Muestra el aviso a los usuarios que ya han iniciado sesión |

### Respuesta

**Status:** `200 OK`

Devuelve el objeto completo del cliente actualizado.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.skyone.cloud/espanol/api-skyone-autosky/api-clientes/activar-desactivar-avisos-programados.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
